Bug 1413052 - GDM does not appear after logging out on a secondary seat
Summary: GDM does not appear after logging out on a secondary seat
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 13:25 UTC by Joseph Nuzman
Modified: 2017-12-12 10:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1225665
Environment:
Last Closed: 2017-12-12 10:05:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Joseph Nuzman 2017-01-13 13:25:14 UTC
+++ This bug was initially created as a clone of Bug #1225665 +++

Description of problem:
I have a 2-seat configuration. If I log out of the second seat, GDM does not appear until I reboot.

Version-Release number of selected component (if applicable):
GDM 3.16.1.1

How reproducible:
Every time I tried (about 5 times)

Steps to Reproduce:
1. Configure 2 seats with loginctl
2. Log on to the secondary seat
3. Log out of the secondary seat.

Actual results:
Screen goes black on the secondary seat.

Expected results:
GDM login screen appears on the secondary seat.

Additional info:
I upgraded via fedup from 21. I'm using the standard GNOME session. Logging on and off works fine on the first seat. The first seat is driven by an Nvidia card, and the second seat is driven by the Intel HD graphics.

Is there any other information I can provide?

--- Additional comment from Joseph Nuzman on 2015-08-17 16:19:13 EDT ---

I experience the same problem with my multiseat setup.  In my case, the first seat is driven by an Intel HD GPU and the second by an AMD card.  I'm using the same GDM version (gdm-3.16.1.1-1.fc22.x86_64) on Fedora 22.

A few observations:

* This issue does *not* occur when Wayland greeter is disabled (WaylandEnable=false in /etc/gdm/custom.conf).  With X11 greeter on both seats, it is possible to log in and log out on the second seat with no issues.

* The Wayland greeter only runs on the first seat.  The second seat always uses the X11 greeter.

* The gdm session appears to be started successfully after log out on the second seat, but the screen is blank.  Killing the gdm session to force restart of a new session on the second seat does not fix the problem.  (On the other hand, restarting gdm.service brings up a working greeter on both seats.)

--- Additional comment from Fedora End Of Life on 2016-07-19 10:18:09 EDT ---

Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 Joseph Nuzman 2017-01-13 13:27:49 UTC
Reproduced this issue on Fedora 25.  

In order to reach the bug, a workaround for this issue must be applied:
https://bugzilla.redhat.com/show_bug.cgi?id=1225665

As with Fedora 23, setting "WaylandEnable=false" in /etc/gdm/custom.conf effectively works around the issue.

Comment 2 Joseph Nuzman 2017-01-13 13:31:36 UTC
Woops, linked to the wrong bug in the previous comment.  

A workaround for this bug must be worked around in order to reach the problem in Fedora 25:
https://bugzilla.redhat.com/show_bug.cgi?id=1404849

Comment 3 Fedora End Of Life 2017-11-16 18:44:15 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:05:39 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.